local RW = LibStub("AceAddon-3.0"):GetAddon("Raid Watch")
local plugin = RW:GetPlugin("Options")

local AceGUI 	= LibStub("AceGUI-3.0")
local UIF		= LibStub("LibGUIFactory-1.0"):GetFactory("RW")
local L 		= LibStub("AceLocale-3.0"):GetLocale("RW2-Options")

function plugin:OptionsMain()
	local t = {{
		text = "Main",
		value = "Main",
		order = 0,
	}}
	
	return t, function()
		local self = self or plugin
	
		local group, button, label
		
		group = AceGUI:Create("SimpleGroup")
		group:SetLayout("Flow")
		group:SetFullWidth(true)
		
		group:AddChild(UIF:Title1("Raid Watch 2"))
		
		
		igroup = UIF:InlineGroup("")
		group:AddChild(igroup)	
		
		igroup:AddChild(UIF:NormalText(L.WELCOME_MESSAGE, nil, nil, nil, nil, nil, 0.8))	
		
		label = UIF:ListText(" ")
		igroup:AddChild(label)
		
		igroup:AddChild(UIF:Title2(L.FEATURES))		
		igroup:AddChild(UIF:ListText(L.FEATURE_LIST, nil, nil, nil, nil, nil, 1))
		igroup:AddChild(UIF:Title2(L.HOW_TO_CONFIG))
		igroup:AddChild(UIF:NormalText(L.HOW_TO_CONFIG_DESC, nil, nil, nil, nil, nil, 0.8))
		
		button = UIF:Button(L.TO_PLUGINS, function()
			plugin.OptionsTree:SetSelected("Plugins")
		end)
		button:SetFullWidth(false)
		button:SetWidth(200)
		igroup:AddChild(button)
		
		button = UIF:Button(L.TOGGLE_CONFIG_MODE, function()
			RW.Callbacks:Fire("ConfigMode", self.NextConfigMode) 
			plugin.NextConfigMode = not plugin.NextConfigMode
		end)
		group:AddChild(button)
		
		igroup:AddChild(UIF:CheckBox(L.HIDE_MINIMAP_ICON, RW.db.profile.minimap, "hide", function()
			if RW.db.profile.minimap.hide then
				LibStub("LibDBIcon-1.0"):Hide("RW2")
			else
				LibStub("LibDBIcon-1.0"):Show("RW2")
			end
		end))	
		
		return group
	end
end